from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XLogFormatter(Protocol):
    def getHead(self) -> str: ...
    def format(self, Record: LogRecord) -> str: ...
    def getTail(self) -> str: ...
